ZOOM Framework Changelog
---------

v 1.9.8 (March 8, 2021)

    - Bug fix with the Demo Content Importer not working


v 1.9.7 (March 2, 2021)

    - Fixed issues listed in the jQuery Migrate Helper plugin


v 1.9.6 (February 4, 2021)

    - Minor bug fix with some system fonts not working properly (When Google Fonts are disabled from Customizer).


v 1.9.5 - November 30, 2020

    - Multiple bug fixes necessary for compatibility with the upcoming WordPress 5.6 update


v 1.9.4 - November 11, 2020

    - Added support for "swap" parameter to Google Fonts to ensure text remains visible during webfont load (PageSpeed improvement)


v 1.9.3 - October 7, 2020

    - Fixed a minor jQuery warning
    - Added a new option to disable the new block-based widgets screen (Theme Options > Miscellaneous > WordPress Features)


v 1.9.2 - August 30, 2020

    - Fixed minor jQuery issues to preserve compatibility with future updates
    - Minor bug fix with demo content importer on PHP 7.4


v 1.9.1 - July 29, 2020

    - Multiple bug fixes necessary for compatibility with WordPress 5.5


v 1.9.0 - April 21, 2020

    -  Added new option to install a Child Theme for your current WPZOOM theme. See details in Theme Options > Child Theme.


v 1.8.12 - November 1, 2019

    - Fixed a bug with Theme Options sections not working after previous update


v 1.8.11 - October 30, 2019

    - Multiple bug fixes and improvements necessary for compatibility with WordPress 5.3


v 1.8.10 - August 13, 2019

    - Improvements to Typography section in the Customizer
    - Added a new component with GIPHY API integration to create easier short videos from YouTube and Vimeo links in specific themes


v 1.8.9 - July 14, 2019

    - Added new components to typography section in the Customizer for upcoming updates in several themes.


v 1.8.8 - June 24, 2019

    - Multiple improvements to Typography section in Customizer: added new web-safe (system) fonts, bug fixes, etc.


v 1.8.7 - June 12, 2019

    - Minor bug fix on older PHP versions (< 5.5).
    *It's highly recommended to update WordPress (5.0+) and PHP (7.2+) before updating your Framework.


v 1.8.6 - June 10, 2019

    - Multiple improvements to Google Fonts integration


v 1.8.5 - January 29, 2019

    - Fixed a problem with Theme Options not saving on specific servers


v 1.8.4 - January 22, 2019

    - The notice about Shortcodes module migration was removed
    - Minor fixes & improvements


v 1.8.3 - December 13, 2018

    - WPZOOM Shortcodes and Slideshow Shortcode have been removed from the framework and now are available as a separate plugin in plugins repository: WPZOOM Shortcodes
    - Minor bug fixes in WordPress 5.0
    - Added a new option in Theme Options > Framework Options to disable the helper guide icon (currently used only in Inspiro)


v 1.8.2 - October 10, 2018

    - Minor improvements to Demo Content Importer
    - Added a new option to send usage data about our themes and your WordPress installation to WPZOOM. No sensitive data is tracked. Opt-in is optional and you can find more details here: http://wp.md/tracking
    - Shortcodes module was NOT removed in this version.


v 1.8.1 - September 27, 2018

    - Minor fix with 1-click Updates. Shortcodes module was NOT removed in this version.


v 1.8.0 - September 26, 2018

    - NEW! 1-Click Theme Updates are now available for all WPZOOM themes. See WPZOOM > Theme License page for details after update.
    - We've migrated WPZOOM Shortcodes and Slideshow Shortcode in a free plugin in order to keep the framework as simple as possible. Please go to Plugins > Add New, and install our new plugin "WPZOOM Shortcodes".


v 1.7.9 - August 21, 2018

    - Fixed a minor bug with Gutenberg in some themes


v 1.7.8 - August 14, 2018

    - Improvements to Demo Content Importer
    - Fixed multiple components to work with Gutenberg.


v 1.7.7 - July 5, 2018

    - Added WPForms plugin in the list with recommended plugins


v 1.7.6 - May 11, 2018

    - Improved the support for Google Fonts API
    - minor bug fixes


v 1.7.5 - April 18, 2018

    - Fixed a bug with Demo Content Importer


v 1.7.4 - April 4, 2018

    - Fixed a bug in WordPress 4.9.5 with incorrect size on images with caption in all themes.


v 1.7.3 - March 12, 2018

    - Minor improvements to Demo Content Importer


v 1.7.2 - March 11, 2018

    - Fixed a bug happening with Child Themes after updating to 1.7.1


v 1.7.1 - March 10, 2018

    - Numerous bug fixes.


v 1.7.0 - January 16, 2018

    - Numerous improvements in the process of importing the Demo Content
    - Added option to remove the imported demo content
    - Added option to regenerate only Featured Images in the process of importing the Demo Content
    - Visual improvements in the Customizer's Typography and Colors sections in multiple themes.


v 1.6.7 - November 13, 2017

    - Fixed compatibility issues with WordPress 4.9


v 1.6.6 - June 17, 2017

    - Performance improvements in Theme Customizer
    - Added PHP version in the Theme Options > Demo Content Importer


v 1.6.5 - May 22, 2017

    - Minor bug fix in Videozoom theme with automatic video thumbnails from Dailymotion
    - Added new choices for "Font Weight" option in some themes in the Customizer.


v 1.6.4 - April 20, 2017

    - Minor bug fix in Tabs Shortcode


v 1.6.3 - January 31, 2017

    - Multiple fixes and improvements


v 1.6.2 - July 7, 2016

    - Framework was completely localized for easier translations, including the Theme Options page.


v 1.6.1 - May 30, 2016

    - Minor bug fixes in the Shortcodes Manager


v 1.6.0 - April 5, 2016

    - New Feature: Demo Content Importer in Import/Export section.
    - Framework localization
    - TGM Plugin Activation integration


v 1.5.1 - March 22, 2016

    - Fixed a minor bug in Shortcodes Generator.


v 1.5.0 - December 9, 2015
    - Remove Framework SEO Settings in favor of more advanced solutions.
    - Highlight WPZOOM widgets installed from wordpress.org.
    - Deprecate use of `ui::title()` in favor of `add_theme_support('title-tag')`.


v 1.4.8 - March 2, 2015

    - Add notification about removal of WPZOOM Framework SEO Settings in the next release.
    - Disable WPZOOM Framework SEO by default.
    - Improve compatibility with latest WordPress release.


v 1.4.7 - March 2, 2015

    - Disable automatic updates for themes with the same name as themes on wordpress.org


v 1.4.6 - November 6, 2014

    - Refactored `ui::is_wp_version` function to work correctly with WP4+


v 1.4.5 - June 30, 2014

    - Tabs shortcode: fixed bug with tabs containing iframes (ex. Google Maps).


v 1.4.4 - June 16, 2014

    - New WPZOOM Shortcode: Tabs


v 1.4.3 - May 15, 2014

    - Remove unnecessary code.

    M   components/dashboard/dashboard.php


v 1.4.2 - May 15, 2014

    - Improved dashboard widget algorithm for fetching latest theme thumbnail.

    M   components/dashboard/dashboard.php


v 1.4.1 - April 18, 2014

    - Fixed compatibility issues with WordPress 3.9 for Shortcode Generator
    - Refactored WPZOOM_Admin class

    M   assets/css/wp-admin.css
    A   assets/js/shortcode-generator/editor-plugin.3.8.js
    M   assets/js/shortcode-generator/editor-plugin.js
    M   components/shortcodes/init.php
    M   components/admin/admin.php


v 1.4.0 - December 12, 2013

    - Numerous changes in Shortcodes Manager: flat button style, added a large variety of icons for buttons.
    - Theme Options page slightly re-designed to match the feel & look of the WordPress 3.8 new admin style.
    - Added option to exclude images in Slideshow Shortcode.
    - Numerous other bug fixes & performance improvements


v 1.3.9 - July 4, 2013

    - Automatic Video Thumbnails now supports updated YouTube embed code, that doesn't include "http:".

    M   components/video-api.php


v 1.3.8 - April 6, 2013

    - Fixed incorrect background color (dark blue) for WPZOOM custom widgets

    M   assets/css/widgets-styling.css


v 1.3.7 - January 14, 2013

    - Fixed dashboard widget bug
    - Fixed wrong value showing in select options

    M   components/admin/settings-fields.php
    M   components/dashboard/dashboard.php


v 1.3.6 - November 30, 2012

    - Minor adjustments for WordPress 3.5
    - TimThumb script removed from the framework. If your theme requires it, replace the code from file /functions/theme/thumb.php with: http://timthumb.googlecode.com/svn/trunk/timthumb.php


    M   assets/options.css
    M   pages/admin.php
    R   components/timthumb.php


v 1.3.5 - September 12, 2012

    - Contextual help on ZOOM options page
    - New typography settings field
    - New framework & theme updater module
    - Various bug fixes & improvements

    A   assets/js/wp-admin.js
    M   assets/options.css
    M   changelog.txt
    M   components/admin/admin.php
    M   components/admin/settings-fields.php
    M   components/admin/settings-page.php
    M   components/get-the-image.php
    M   components/theme/theme.php
    M   components/theme/ui.php
    M   components/updater/framework-updater.php
    M   components/updater/theme-updater.php
    M   components/updater/updater.php
    A   components/video-api.php
    A   components/video-thumb.php
    M   init.php
    M   options.php
    M   pages/update.php


v 1.3.4 - September 7, 2012

    - Use an excerpt from full post content as meta description when post excerpt isn't available

    M   components/theme/theme.php


v 1.3.3 - July 31, 2012

    - Don't echo before=> and after=> parameters if there is no image.
    - Fixed bug with layout selector in admin panel

    M   components/get-the-image.php
    M   components/admin/settings-fields.php


v 1.3.2 - July 30, 2012

    - Use attached image to a post as thumbnails, in case there is no Featured Image set

    M   components/get-the-image.php


v 1.3.1 - July 20, 2012

    - Fixed bug with pixelated thumbnails

    M   components/get-the-image.php


v 1.3.0 - July 20, 2012

    - Theme Options page was redesigned
    - Minor UI changes
    - New Features:
        - Theme Update Notification
        - Keyboard shortcuts (j/k for navigation, Ctrl+S for saving modifications)
        - "Framework" section in Theme Options
    - Most of the files were written


v 1.2.9 - June 19, 2012

    - TimThumb updated to latest version 2.8.10
    - Bugfix with bbPress not working properly in some themes
    - New "Debug" section under Miscellaneous menu in Theme Options

    M   assets/js/zoomAdmin.js
    M   components/ui.php
    M   components/timthumb.php
    M   options.php
    M   wpzoom.php


v 1.2.8 - May 6, 2012

    - Shortcode preview functionality was rewritten and restored in the framework

    M   assets/js/shortcode-generator/dialog.php
    M   assets/js/shortcode-generator/editor_plugin.js
    M   assets/js/shortcode-generator/js/dialog-js.php
    M   shortcodes/init.php
    A   assets/js/shortcode-generator/preview-shortcode-external.php


v 1.2.7 - April 29, 2012

    - Removed the functionality relating to the shortcode preview due to potential exploit.

    M   assets/js/shortcode-generator/dialog.php
    M   assets/js/shortcode-generator/editor_plugin.js
    M   assets/js/shortcode-generator/js/dialog-js.php
    M   shortcodes/init.php
    R(emoved) assets/js/shortcode-generator/preview-shortcode-external.php


v 1.2.6 - March 26, 2012

    - added new option to disable/enable Framework Meta Generator Tags

    M   components/ui.php
    M   options.php
    M   wpzoom.php


v 1.2.5 - February 26, 2012

    - added a new dropdown to displays a list with all pages

    M   components/dashboard.php


v 1.2.4 - February 15, 2012

    - [wzslider] can now be displayed on archives pages too.

    M   shortcodes/wzslider.php


v 1.2.3 - February 6, 2012

    - fix with dropdown select fields for multiple category/tags

    M   components/dashboard.php


v 1.2.2 - January 30, 2012

    - bug fix with latest theme in admin widget

    M   components/dashboard-widgets.php


v 1.2.1 - January 28, 2012

    - bug fix with [wzslider] not working

    M   init.php


v 1.2.0 - January 27, 2012

    - new feature in Framework: WPZOOM Slideshow Shortcode [wzslider]

    A   assets/css/wzslider.css
    A   assets/images/wzslider/
    A   assets/js/galleria.js
    A   assets/js/wzslider.js
    A   assets/js/wzslider_button.js
    A   shortcodes/wzslider.php

    - new widget with WPZOOM News in WordPress Dashboard

    A   assets/css/dashboard.css
    A   components/dashboard-widgets.php
    M   init.php


v 1.1.10 - January 17, 2012

    - don't list blank styles

    M   components/ui.php


v 1.1.9 - January 15, 2012

    - bug fix with video thumbnails

    M   components/get-the-image.php


v 1.1.8 - January 10, 2012

    - added support for video thumbnails

    M   components/get-the-image.php
    M   components/timthumb.php


v 1.1.7 - December 20, 2011

    - fixed bug with multi-select in WordPress 3.3 and a minor styling bug

    M   assets/js/zoomAdmin.js
    M   assets/options.css


v 1.1.6 - December 7, 2011

    - fixed bug with strip slashes and multi-category saving

    M   assets/js/zoomAdmin.js


v 1.1.5 - November 30, 2011

    - small bug fix, strip slashes from user input

    M   wpzoom.php


v 1.1.4 - October 16, 2011

    - added support for css styling from admin panel

    M   components/ui.php


v 1.1.3 - October 11, 2011

    - added layout-select support for Theme Options page (in selected themes)

    M   components/dashboard.php
    M   assets/options.css
    M   assets/js/zoomAdmin.js


v 1.1.2 - October 8, 2011

    - bug fix with localization

    M   wpzoom.php


v 1.1.1 - October 3, 2011

    - bug fix, options saving failed unless you did import
    - some strings modified to be more informative for UX

    M   assets/js/zoomAdmin.js


v 1.1 - October 2, 2011

    - added export/import for widgets settings
    - now all export/import data is encoded with base64 to provide better compatibility
    - introduced possibility to preload widgets settings provided by us
    - added new option type: button
    - added new function in ui: getCropLocation()
    - refactored some code

    M   assets/js/zoomAdmin.js
    M   assets/options.css
    M   components/dashboard.php
    M   components/option-manager.php
    M   options.php
    M   wpzoom.php
    M   ui.php


v 1.0.2 - September 28, 2011

    - bug fix for update system

    M   wpzoom.php


v 1.0.1 - September 28, 2011

    - bug fix in shortcodes manager

    M   assets/js/shortcode-generator/js/dialog-js.php


v 1.0 - September 27, 2011

    - initial release
